RedCrawler API
Users & Profiles V2

My Account V2

Fetch authenticated account info. Returns identity, karma, preferences. Requires bearer.

GET /api/v2/profile/account

Fetch authenticated account info. Returns identity, karma, preferences. Requires bearer.

Query parameters

NameTypeRequiredDescription
bearerstringNoBearer token — auto-resolves from Token Vault
proxystringNoCustom proxy address

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/profile/account?bearer=<bearer>&proxy=<proxy>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/profile/account?bearer=<bearer>&proxy=<proxy>", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/profile/account?bearer=<bearer>&proxy=<proxy>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "account": {
      "id": "t2_29onm7dc32",
      "createdAt": "2026-03-07T07:27:33.029000+0000",
      "email": "[email protected]",
      "isEmailPermissionRequired": false,
      "isSuspended": false,
      "isModerator": true,
      "suspensionExpiresAt": null,
      "isEmailVerified": true,
      "isPasswordSet": false,
      "isForcePasswordReset": false,
      "isNameEditable": false,
      "isSubredditCreationAllowed": true,
      "preferences": {
        "isTopKarmaSubredditsShown": true
      },
      "paymentSubscriptions": [],
      "linkedIdentities": [
        {
          "issuer": "GOOGLE"
        }
      ],
      "phoneNumber": {
        "code": null,
        "number": null
      },
      "inbox": {
        "unreadCount": 0
      },
      "modMail": {
        "isUnread": false
      },
      "redditor": {
        "attributes": {
          "redditHandleInfo": {
            "displayName": "Motor_Tip8865",
            "prefixedUsername": "u/Motor_Tip8865",
            "username": "Motor_Tip8865"
          },
          "redditorType": "USER",
          "verificationStatus": "NONE"
        },
        "id": "t2_29onm7dc32",
        "name": "Motor_Tip8865",
        "prefixedName": "u/Motor_Tip8865",
        "accountType": "USER",
        "isEmployee": false,
        "isFriend": false,
        "isGilded": false,
        "isProfileHiddenFromSearchEngines": false,
        "isAcceptingChats": true,
        "isAcceptingFollowers": true,
        "cakeDayOn": "2026-03-07",
        "snoovatarIcon": null,
        "profile": {
          "id": "t5_gstmfv",
          "createdAt": "2026-03-07T07:27:33.029000+0000",
          "isUserBanned": false,
          "isDefaultBanner": true,
          "path": "/user/Motor_Tip8865/",
          "socialLinks": [],
          "brandTools": {
            "status": "ELIGIBLE"
          },
          "isSubscribed": false,
          "isTopListingAllowed": true,
          "allowedPostTypes": [
            "LINK",
            "IMAGE",
            "\u2026 (5 more items)"
          ],
          "description": null,
          "isNsfw": false,
          "title": "",
          "subscribersCount": 0,
          "isDefaultIcon": true,
          "isContributor": false,
          "publicDescriptionText": null,
          "moderatorsInfo": {
            "edges": [
              {
                "node": {
                  "id": "\u2026"
                }
              }
            ]
          },
          "styles": {
            "icon": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_6.png",
            "legacyPrimaryColor": null,
            "legacyIcon": {
              "url": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_6.png",
              "dimensions": {
                "width": 256,
                "height": 256
              }
            },
            "profileBanner": null
          },
          "postFlairTemplates": [],
          "postFlairSettings": {
            "isEnabled": true,
            "isSelfAssignable": false
          },
          "modPermissions": {
            "isFlairEditingAllowed": false
          }
        },
        "profileExemptedExperiments": [],
        "isProfileContentFiltered": false,
        "karma": {
          "total": 1,
          "fromPosts": 1,
          "fromComments": 0
        },
        "contributionStats": {
          "postCount": 0,
          "commentCount": 0
        },
        "trophyCase": {
          "name": "Trophies",
          "totalUnlocked": 5
        },
        "isPremiumAvatarTreatment": false
      }
    }
  },
  "error": null,
  "meta": {
    "vault_expires_at": "2026-04-30T07:47:21.906002+00:00",
    "vault_remaining": "22h 47m"
  },
  "timestamp": "2026-04-29T08:59:47.822108+00:00"
}

On this page